Game1.Preload = function(game){};
Game1.Preload.prototype = {
	preload: function() {
		var xmlplain = '<font><info face="Segment7" size="100" bold="0" italic="0" charset="" unicode="1" stretchH="100" smooth="1" aa="1" padding="0,0,0,0" spacing="1,1" outline="0"/><common lineHeight="100" base="80" scaleW="256" scaleH="256" pages="1" packed="0" alphaChnl="1" redChnl="0" greenChnl="0" blueChnl="0"/><pages><page id="0" file="font_0_0.png" /></pages><chars count="11"><char id="32" x="250" y="0" width="1" height="100" xoffset="0" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="48" x="0" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="49" x="192" y="101" width="12" height="100" xoffset="41" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="50" x="50" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="51" x="100" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="52" x="98" y="101" width="47" height="100" xoffset="6" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="53" x="0" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="54" x="49" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="55" x="146" y="101" width="45" height="100" xoffset="8" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="56" x="150" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="57" x="200" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /></chars></font>';
		this.preloadBar = this.add.sprite(this.game.world.centerX, this.game.world.centerY, 'preloadbar');
		this.preloadBar.anchor.setTo(0.5);
		this.load.setPreloadSprite(this.preloadBar);
		this.load.image('bg', 'img/OS_main_background.jpg');
		this.load.image('bg_ingame', 'img/OS_main_background.jpg'); 
		this.load.image('bg_ingame0', 'img/OS_main_background.jpg');  
		this.load.image('sponsors', 'img/sponsorzy.png');  
		this.load.image('title', 'img/OS_main_tytul.png');
		this.load.image('pomocnik', 'img/OS_main_przewodnik.png');
		this.load.spritesheet('play_button', 'img/OS_main_button_play.png',200,200,3); 
		this.load.spritesheet('speaker', 'img/speaker1.png',115,115,2);
		this.load.spritesheet('help', 'img/OS_puzzle_button_info.png', 108,108);  
		this.load.image('guiPomocnik_good', 'img/OS_puzzle_przewodnik.png');
		this.load.image('guiPomocnik_bad', 'img/OS_puzzle_przewodnik.png');  
		this.load.image('Finish', 'img/SPR_tytulowa_dymek_ZIP.png');
		this.load.spritesheet('info', 'img/OS_puzzle_button_info.png',108,108,2);
		this.load.image("npc1", "img/OS_puzzle_przewodnik.png");
		this.load.image('NPC', 'img/OS_puzzle_przewodnik.png');  
		this.load.image('dymek', 'img/OS_g_II_11_dymek.png');
		this.load.spritesheet('play', 'img/OS_g_II_11_button_start.png', 524/2,88);
          
		for (var j = 1;j<13;j++)
        {
			this.load.image(j+"_1", 'img/karty/OS_g_II_11_s1_0'+j+'.png');
			this.load.image(j+"_2", 'img/karty/OS_g_II_11_s2_0'+j+'.png');
			this.load.image(j+"_3", 'img/karty/OS_g_II_11_s3_0'+j+'.png');
			this.load.image(j+"_4", 'img/karty/OS_g_II_11_s4_0'+j+'.png');
			this.load.image(j+"_5", 'img/karty/OS_g_II_11_s5_0'+j+'.png');
			this.load.image(j+"_6", 'img/karty/OS_g_II_11_s6_0'+j+'.png');
        }
		
		for (var i = 1; i <7; i++ )
		{
			this.load.spritesheet("button_"+i, 'img/OS_g_II_11_button'+i+'.png', 650/2, 325, 2);   
		}
    
		this.load.image("memo_bg", 'img/OS_g_II_11_memory.png');
	},    
	create: function() {
		this.state.start('Menu');
	},
};